#include <MTPowerMotor.h>  //Подключаем заголовочный файл библиотеки

MT_DCPowerMotor motor(PWMH); // управление верхними ключами PWMH

float I = 0;
int StateFF1 = 0;  // флаги состояний
int StateFF2 = 0;  // флаги состояний

void setup() {
  motor.setPwmFrequency(PWMH, 1);// задаем частоту ШИМ 31250,00 Гц. на выводе 9
  Serial.begin(9600);
}

void display() {                 // процедура опроса и вывода в последовательный порт возможных состояний модуля
  StateFF1 = digitalRead(PINFF1);
  StateFF2 = digitalRead(PINFF2);
  Serial.print("FF1 = ");
  Serial.print(StateFF1);
  Serial.print("; FF2 = ");
  Serial.print(StateFF2);
  I = motor.getI(A5);
  Serial.print("; I = " );
  Serial.println(I);
}

void loop() {
  int i;
  motor.run(FORWARD);            // задаем направление вращения вперед
  for (i = 0; i < 255; i++) {
    motor.setSpeed(i);           // в цикле увеличиваем скорость вращения от 0 до 255
    display();
    delay(10);
  }
  for (i = 255; i != 0; i--) {
    motor.setSpeed(i);           // в цикле уменьшаем скорость вращения от 255 до 0
    display();
    delay(10);
  }
  motor.run(BACKWARD);           // задаем направление вращения назад
  for (i = 0; i < 255; i++) {
    motor.setSpeed(i);           // в цикле увеличиваем скорость вращения от 0 до 255
    display();                   // опрашиваем и выводим в последовательный порт текущие переменные модуля
    delay(10);
  }
  for (i = 255; i != 0; i--) {
    motor.setSpeed(i);           // в цикле уменьшаем скорость вращения от 255 до 0
    display();                   // опрашиваем и выводим в последовательный порт текущие переменные модуля
    delay(10);
  }
  delay(1000);
}
